Bug 1121760 - HA and Neutron. The galera cluster was not yet settled when neutron tried to sync its db,therefore neutron server failed to start.
Summary: HA and Neutron. The galera cluster was not yet settled when neutron tried to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 19:31 UTC by Leonid Natapov
Modified: 2014-08-21 18:06 UTC (History)
7 users (show)

Fixed In Version: openstack-foreman-installer-2.0.16-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:06:00 UTC


Attachments (Terms of Use)
neutron/server/log (8.08 MB, text/plain)
2014-07-22 14:27 UTC, Leonid Natapov
no flags Details
mariadb (210.00 KB, application/x-tar)
2014-07-22 15:03 UTC, Leonid Natapov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Leonid Natapov 2014-07-21 19:31:52 UTC
Rubygem-staypuft: the galera cluster was not yet settled when neutron tried to sync its db,therefore neutron server failed to start.


Change from stopped to running failed: Could not start Service[neutron-server]: Execution of '/usr/bin/systemctl start neutron-server' returned 1: Job for neutron-server.service canceled.
err 	Puppet 	Could not start Service[neutron-server]: Execution of '/usr/bin/systemctl start neutron-server' returned 1: Job for neutron-server.service canceled. Wrapped exception: Execution of '/usr/bin/systemctl start neutron-server' returned 1: Job for neutron-server.service canceled.

rhel-osp-installer-0.1.1-1.el6ost.noarch
openstack-foreman-installer-2.0.15-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.1.el6ost.noarch

Comment 1 Leonid Natapov 2014-07-22 14:27:09 UTC
Created attachment 919940 [details]
neutron/server/log

Comment 2 Ryan O'Hara 2014-07-22 14:53:40 UTC
This BZ doesn't include any evidence that something went wrong in galera. Please inspect /var/log/mariadb/mariadb.log on each node and look for indications that galera may have crashed on a node, went split-brain etc. Please attatch mariadb.log for the node that originally reported the problem with neutron and/or the complete puppet logs.

Comment 3 Leonid Natapov 2014-07-22 15:03:29 UTC
Created attachment 919947 [details]
mariadb

Comment 4 Jason Guiditta 2014-07-22 17:37:35 UTC
Merged pull request:
https://github.com/redhat-openstack/astapor/pull/324

Comment 12 Leonid Natapov 2014-08-18 10:20:10 UTC
openstack-foreman-installer-2.0.20-1.el6ost

Now nodes are fully syncd before setting the galera property.

Comment 13 errata-xmlrpc 2014-08-21 18:06:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.